aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/external/ffspart/test/tests/01-param-sanity
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/external/ffspart/test/tests/01-param-sanity')
-rw-r--r--roms/skiboot/external/ffspart/test/tests/01-param-sanity12
1 files changed, 12 insertions, 0 deletions
diff --git a/roms/skiboot/external/ffspart/test/tests/01-param-sanity b/roms/skiboot/external/ffspart/test/tests/01-param-sanity
new file mode 100644
index 000000000..d63736006
--- /dev/null
+++ b/roms/skiboot/external/ffspart/test/tests/01-param-sanity
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+run_binary "./ffspart" "-c 3 -i /dev/null -p /dev/null"
+if [ "$?" -ne 1 ] ; then
+ fail_test
+fi
+
+strip_version_from_result "ffspart"
+
+diff_with_result
+
+pass_test